Bug 1414999 - Compute Epic: Secure, Seamless, Workload Mobility
Summary: Compute Epic: Secure, Seamless, Workload Mobility
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL:
Whiteboard:
Depends On: 1669579 ospd_dedicated_migration_network 1222414 1266963 ospd_shared_storage_live_migration 1300772 1301025 1310144 1392369 ospd_config_qemu_machine_type ospd_cold_migration ospd_block_based_live_migration 1544869 1625597 1643032 1664790 1665040 1665041 1665042 1708565 1780366
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 22:40 UTC by Stephen Gordon
Modified: 2020-09-30 19:30 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 19:30:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Gordon 2017-01-19 22:40:10 UTC
Description of problem:

Customers expect to be able to move their virtual machines around, without changing their state, to:

- Balance load across their environment for either maximum performance or maximum consolidation
- Prepare for changes to the environment
- React to (unforeseen) changes to the environment
- etc.

Our enterprise virtualization platform and indeed our cloud management software supports this, but we do not configure it out of the box instead leaving users to follow an error prone manual procedure.

Director needs to deploy environments that, depending on the storage choices made support either:
Live shared storage migration; or
Live block migration
Without any post-deployment changes being required of the user. The deployed environments should also support so called cold options for moving workloads such as migrate, resize, etc. without additional configuration changes.

The deployed environments should follow the recommendations of the RHEL virtualization team in terms of best practices factoring in concerns like security, performance, and stability.

Comment 2 Stephen Gordon 2017-07-24 19:01:16 UTC
Tracking bug, release flags don't apply.

Comment 5 stchen 2020-09-30 19:30:03 UTC
Closing EOL, OSP 15 has been retired as of Sept 19


Note You need to log in before you can comment on or make changes to this bug.